> ## Documentation Index
> Fetch the complete documentation index at: https://www.seam.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Unmanaged Device

> Updates a specified [unmanaged device](/core-concepts/devices/managed-and-unmanaged-devices). To convert an unmanaged device to managed, set `is_managed` to `true`.

An unmanaged device has a limited set of visible properties and a subset of supported events. You cannot control an unmanaged device. Any [access codes](/low-level-apis/smart-locks/access-codes/migrating-existing-access-codes) on an unmanaged device are unmanaged. To control an unmanaged device with Seam, [convert it to a managed device](/core-concepts/devices/managed-and-unmanaged-devices#convert-an-unmanaged-device-to-managed).



## OpenAPI

````yaml /openapi.json patch /devices/unmanaged/update
openapi: 3.0.0
info:
  description: >-
    Programmable API to control locks, thermostats, noise sensors, cameras,
    access control systems, and other IoT devices.


    Prefer the official Seam SDKs over hand-written HTTP calls: they handle

    authentication, request serialization, pagination, and error handling for

    you. The official SDKs are listed in this document under

    `info.x-seam-sdks`.


    If you call the HTTP API directly, your query parameters must be

    serialized compatibly with the Seam API. There is no universal convention

    for serializing arrays, booleans, or nested objects in a query string, so

    use @seamapi/url-search-params-serializer, the language specific serializer
    module provided by each Seam SDK, or follow its specification:

    https://github.com/seamapi/url-search-params-serializer
  title: Seam Connect
  version: 1.0.0
  x-seam-query-serializer:
    description: >-
      Reference implementation and specification for query parameter
      serialization compatible with the Seam API.
    url: https://github.com/seamapi/url-search-params-serializer
  x-seam-sdks:
    - language: javascript
      url: https://github.com/seamapi/javascript
    - language: python
      url: https://github.com/seamapi/python
    - language: ruby
      url: https://github.com/seamapi/ruby
    - language: php
      url: https://github.com/seamapi/php
    - language: csharp
      url: https://github.com/seamapi/csharp
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /devices/unmanaged/update:
    patch:
      tags:
        - /devices
      summary: Update an Unmanaged Device
      description: >-
        Updates a specified [unmanaged
        device](/core-concepts/devices/managed-and-unmanaged-devices). To
        convert an unmanaged device to managed, set `is_managed` to `true`.


        An unmanaged device has a limited set of visible properties and a subset
        of supported events. You cannot control an unmanaged device. Any [access
        codes](/low-level-apis/smart-locks/access-codes/migrating-existing-access-codes)
        on an unmanaged device are unmanaged. To control an unmanaged device
        with Seam, [convert it to a managed
        device](/core-concepts/devices/managed-and-unmanaged-devices#convert-an-unmanaged-device-to-managed).
      operationId: devicesUnmanagedUpdatePatch
      requestBody:
        content:
          application/json:
            schema:
              properties:
                custom_metadata:
                  additionalProperties:
                    nullable: true
                    oneOf:
                      - maxLength: 500
                        type: string
                      - type: boolean
                  description: >-
                    Custom metadata that you want to associate with the device.
                    Supports up to 50 JSON key:value pairs, with key names up to
                    40 characters long that cannot contain a period (.). Set a
                    key to `null` or to an empty string to remove that key from
                    the custom metadata.
                  type: object
                device_id:
                  description: ID of the unmanaged device that you want to update.
                  format: uuid
                  type: string
                is_managed:
                  description: >-
                    Indicates whether the device is managed. Set this parameter
                    to `true` to convert an unmanaged device to managed.
                  enum:
                    - true
                  type: boolean
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties: {}
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.devices.unmanaged.update({
              device_id: "66c3adbf-a0e5-403a-8981-ec5286b5da76",
              is_managed: true,
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/devices/unmanaged/update" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "66c3adbf-a0e5-403a-8981-ec5286b5da76",
              "is_managed": true
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.devices.unmanaged.update(
                device_id="66c3adbf-a0e5-403a-8981-ec5286b5da76", is_managed=true
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.devices.unmanaged.update(device_id:
            "66c3adbf-a0e5-403a-8981-ec5286b5da76", is_managed: true)


            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->devices->unmanaged->update(
                device_id: "66c3adbf-a0e5-403a-8981-ec5286b5da76",
                is_managed: true,
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam devices unmanaged update --device_id
            "66c3adbf-a0e5-403a-8981-ec5286b5da76" --is_managed true


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````